/**
*	Name:		Elizabeth Labelle
*	ID:			17417
*	Project:	2D Verlet Rigid Body World
*	Date:		March 2010
*
*	Description:	The Configuration header file defines variables used by the entire program 
*					for screen hieght/width, max object counts, etc. It also defines macros.
*					Additionally, any header files needed by all classes are included.
*
*/
#ifndef CONFIG_H
#define CONFIG_H

#ifdef _WIN32
#include <windows.h>
#endif

//Macro for sign
#define sgn(a) ((a) < 0 ? (-1) : (1))

#include "glut.h"
#include <math.h>
#include <iostream>
#include <stdlib.h>

#include "Vec2.h"

#define MAX_ITERATIONS		30
#define MAX_OBJECTS			100 //The maximum number of objects which can appear in the simulation at once
#define MAX_OBSTACLES		10
#define SQUARE_LENGTH		35  //Length of each side of a square
#define OBSTACLE_WIDTH		100  //Width of each obstacle
#define OBSTACLE_HEIGHT		25  //Height of each obstacle
#define TICK				1.0f
#define SCREEN_WIDTH		800
#define SCREEN_HEIGHT		600

using namespace std;

#endif CONFIG