/**
*	Name:		Elizabeth Labelle
*	ID:			17417
*	Project:	2D Verlet Rigid Body World
*	Date:		March 2010
*
*	Description: CurrentImpact holds data related to the last collsion processed in the World.
*				 That collision data is then used to calculate appropriate movement vectors
*				 in response to the collision to move one or more bodies apart.
*/
#ifndef CURRENT_IMPACT_H
#define CURRENT_IMPACT_H

struct Vertex;
struct Edge;
struct RigidBody;

struct CurrentImpact
{
	/** The RigidBody that contains the edge which was collided with **/
	RigidBody* edgeParent;
	/** The edge that was collided with **/
	Edge* edge;
	/** The vertex which collided with an edge **/
	Vertex* vertex;
	/** Holds a 2D Vector with a normal pointing away from the edge **/
	Vec2  normal;
	/** Used to calculate the final vector to push two bodies apart based on the normal.**/
	float depth;
};

#endif