#include "Edge.h"

/**
*	Default constructor for an Edge object.
*	Does not set positions for the two vertices. Length of the edge is set to 0.
*	Does not mark the edge as a border.
*/
Edge::Edge()
{
	vertex1 = NULL;
	vertex2 = NULL;

	length = 0;
	isBorder = false;
}

/**
*	Constructor for an Edge object.
*	Uses the specified vertices to calculate the edge length.
*	pVertex1: First vertex that defines the edge
*	pVertex2: Second vertex that defines the edge
*	pBorder: boolean indicating whether the edge is a border edge or not
*/
Edge::Edge(Vertex* pVertex1, Vertex* pVertex2, bool pBorder) 
{
	vertex1 = pVertex1; //Set boundary vertices
	vertex2 = pVertex2;

	length = (pVertex2->pos - pVertex1->pos).length();
	isBorder = pBorder;
}