/**
*	Name:		Elizabeth Labelle
*	ID:			17417
*	Project:	2D Verlet Rigid Body World
*	Date:		March 2010
*
*	An Edge is a straight line drawn between two vertices (points). It has a length and
*	a flag indicating whether or not the edge is a border (the outside of a shape).
*	For rigid body physics, the shapes should not deform. Therefore, the length
*	of an Edge should not change (or change as little as possible).
*/
#ifndef EDGE_H
#define EDGE_H

#include "Vertex.h"

struct RigidBody;

struct Edge
{
	/** First vertex that defines the edge **/
	Vertex* vertex1;
	/** Second vertex that defines the edge **/
	Vertex* vertex2;

	/** Length of the edge **/
	float length;

	//a border is an edge that defines the shape of the object
	//some edges connect points, but do not contribute to the shape
	//		----
	//		|\/|		The diagonal lines are not borders
	//      |/\|		The horizonal and vertical lines are borders
	//      ----
	bool isBorder;

	/**
	*	Constructor
	*/
	Edge();
	Edge(Vertex* pVertex1, Vertex* pVertex2, bool pBorder = true);
};
#endif