/**
*	Name:		Elizabeth Labelle
*	ID:			17417
*	Project:	2D Verlet Rigid Body World
*	Date:		March 2010
*
*	Vertex struct.
*	A Vertex is a single (x,y) point.
*	A Vertex has a position, a previous position (for easier World calculations),
*	a current acceleration, and a parent (the object the vertex is a part of).
*/

#ifndef VERTEX_H
#define VERTEX_H

#include "Configuration.h"
struct RigidBody;

struct Vertex 
{
	/** Current position in the World **/
	Vec2 pos;
	/** Previous position in the World **/
	Vec2 oldPos;
	/** Current acceleration **/
	Vec2 accel;

	/**
	*	Default Constructor
	*/
	Vertex();
	Vertex(float PosX, float PosY);
};

#endif